VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::system::Storage Interface Reference

`Storage` interface provides methods Appliance storage configuration More...

Inherited by vmware::appliance::system::StorageStub.

List of all members.

## Public Member Functions
global::System.Collections.Generic.List < vmware.appliance.system.StorageTypes.StorageMapping > | List ()
| Get disk to partition mapping.
global::System.Collections.Generic.List < vmware.appliance.system.StorageTypes.StorageMapping > | List (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get disk to partition mapping.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.appliance.system.StorageTypes.StorageMapping > > | ListAsync ()
| Get disk to partition mapping.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.appliance.system.StorageTypes.StorageMapping > > | ListAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get disk to partition mapping.
void | Resize ()
| Resize all partitions to 100 percent of disk size.
void | Resize (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Resize all partitions to 100 percent of disk size.
global::System.Threading.Tasks.Task | ResizeAsync ()
| Resize all partitions to 100 percent of disk size.
global::System.Threading.Tasks.Task | ResizeAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Resize all partitions to 100 percent of disk size.

## Detailed Description

`Storage` interface provides methods Appliance storage configuration

## Member Function Documentation

global::System.Collections.Generic.List<vmware.appliance.system.StorageTypes.StorageMapping> vmware::appliance::system::Storage::List | ( |  | ) |

Get disk to partition mapping.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  list of mapping items

Implemented in vmware::appliance::system::StorageStub.

global::System.Collections.Generic.List<vmware.appliance.system.StorageTypes.StorageMapping> vmware::appliance::system::Storage::List | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Get disk to partition mapping.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  list of mapping items

Implemented in vmware::appliance::system::StorageStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.appliance.system.StorageTypes.StorageMapping> > vmware::appliance::system::Storage::ListAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Get disk to partition mapping.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  list of mapping items

Implemented in vmware::appliance::system::StorageStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.appliance.system.StorageTypes.StorageMapping> > vmware::appliance::system::Storage::ListAsync | ( |  | ) |

Get disk to partition mapping.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  list of mapping items

Implemented in vmware::appliance::system::StorageStub.

void vmware::appliance::system::Storage::Resize | ( |  | ) |

Resize all partitions to 100 percent of disk size.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Implemented in vmware::appliance::system::StorageStub.

void vmware::appliance::system::Storage::Resize | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Resize all partitions to 100 percent of disk size.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Implemented in vmware::appliance::system::StorageStub.

global::System.Threading.Tasks.Task vmware::appliance::system::Storage::ResizeAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Resize all partitions to 100 percent of disk size.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Implemented in vmware::appliance::system::StorageStub.

global::System.Threading.Tasks.Task vmware::appliance::system::Storage::ResizeAsync | ( |  | ) |

Resize all partitions to 100 percent of disk size.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Implemented in vmware::appliance::system::StorageStub.

The documentation for this interface was generated from the following file:

- appliance/system/Storage.cs